Skip to content

JomPAY Billers

Retrieve the JomPAY biller list. Use this endpoint for JomPAY biller selection.

API Endpoint

http
GET https://api.iimmpact.com/v1/jompay/billers

Request Headers

HeaderDescriptionRequired
AuthorizationBearer tokenYes, unless using API key auth
X-Api-KeyYour API keyYes, unless using bearer token auth
X-TimestampUnix timestamp in seconds for API key authRequired for API key auth
X-NonceUnique request identifier for API key authRequired for API key auth
X-SignatureHMAC-SHA256 signature (v1=...) for API key authRequired for API key auth

See Authentication and API Key Authentication for details.

Query Parameters

ParameterTypeRequiredDescription
pagenumberNoPage number. Defaults to 1. Must be used with limit.
limitnumberNoNumber of billers per page. If omitted, returns the full list.
biller_codestringNoFilter to a specific JomPAY biller code.
suggested_categorystringNoFilter by suggested biller category.

Examples

Paginated list

http
GET https://api.iimmpact.com/v1/jompay/billers?page=1&limit=2
json
{
  "message": "success",
  "data": [
    {
      "biller_code": "818625",
      "display_name": "TADIKA DIDIKAN SOLEH PLT.",
      "denomination": null,
      "face_value": null,
      "validity": null,
      "description": null,
      "account_number": null,
      "additional_description": [],
      "min": "1.00",
      "max": "30000.00",
      "suggested_category": "Education"
    },
    {
      "biller_code": "779264",
      "display_name": "RIM PRO AUTOMOTIVE.",
      "denomination": null,
      "face_value": null,
      "validity": null,
      "description": null,
      "account_number": null,
      "additional_description": [],
      "min": "1.00",
      "max": "30000.00",
      "suggested_category": null
    }
  ],
  "links": {
    "first": "/v1/jompay/billers?page=1&limit=2",
    "last": "/v1/jompay/billers?page=10133&limit=2",
    "prev": null,
    "next": "/v1/jompay/billers?page=2&limit=2"
  },
  "meta": {
    "current_page": 1,
    "from": 1,
    "last_page": 10133,
    "path": "/v1/jompay/billers",
    "per_page": 2,
    "to": 2,
    "total": 20266
  }
}

Filter by biller code

http
GET https://api.iimmpact.com/v1/jompay/billers?biller_code=818625
json
{
  "message": "success",
  "data": [
    {
      "biller_code": "818625",
      "display_name": "TADIKA DIDIKAN SOLEH PLT.",
      "denomination": null,
      "face_value": null,
      "validity": null,
      "description": null,
      "account_number": null,
      "additional_description": [],
      "min": "1.00",
      "max": "30000.00",
      "suggested_category": "Education"
    }
  ],
  "links": {
    "first": "/v1/jompay/billers?biller_code=818625&page=1&limit=1",
    "last": "/v1/jompay/billers?biller_code=818625&page=1&limit=1",
    "prev": null,
    "next": null
  },
  "meta": {
    "current_page": 1,
    "from": 1,
    "last_page": 1,
    "path": "/v1/jompay/billers",
    "per_page": 1,
    "to": 1,
    "total": 1
  }
}

Filter by suggested category

http
GET https://api.iimmpact.com/v1/jompay/billers?suggested_category=Education&page=1&limit=2
json
{
  "message": "success",
  "data": [
    {
      "biller_code": "818625",
      "display_name": "TADIKA DIDIKAN SOLEH PLT.",
      "denomination": null,
      "face_value": null,
      "validity": null,
      "description": null,
      "account_number": null,
      "additional_description": [],
      "min": "1.00",
      "max": "30000.00",
      "suggested_category": "Education"
    },
    {
      "biller_code": "123456",
      "display_name": "KOLEJ UNIVERSITI EXAMPLE",
      "denomination": null,
      "face_value": null,
      "validity": null,
      "description": null,
      "account_number": null,
      "additional_description": [],
      "min": "1.00",
      "max": "30000.00",
      "suggested_category": "Education"
    }
  ],
  "links": {
    "first": "/v1/jompay/billers?suggested_category=Education&page=1&limit=2",
    "last": "/v1/jompay/billers?suggested_category=Education&page=50&limit=2",
    "prev": null,
    "next": "/v1/jompay/billers?suggested_category=Education&page=2&limit=2"
  },
  "meta": {
    "current_page": 1,
    "from": 1,
    "last_page": 50,
    "path": "/v1/jompay/billers",
    "per_page": 2,
    "to": 2,
    "total": 100
  }
}

Response 200

FieldTypeDescription
messagestringResponse status message.
dataarrayJomPAY billers.
data[].biller_codestringJomPAY biller code. Pass this to Make Payment via extras.biller_code.
data[].display_namestringBiller name.
data[].denominationnumberAlways null for JomPAY billers.
data[].face_valuenumberAlways null for JomPAY billers.
data[].validitystringAlways null for JomPAY billers.
data[].descriptionstringOptional biller description.
data[].account_numberstringAlways null for JomPAY billers.
data[].additional_descriptionarrayAdditional biller description lines.
data[].minstringMinimum payment amount for this biller.
data[].maxstringMaximum payment amount for this biller.
data[].suggested_categorystringSuggested biller category, or null if no category is mapped.
linksobjectPagination links using /v1/jompay/billers.
metaobjectPagination metadata.

Suggested categories

suggested_category is not provided by PayNet. It is an IIMMPACT-maintained suggestion and may contain errors or differ from how a biller is officially classified.

Notes

  • This endpoint is dedicated to JomPAY. Do not pass product_code.
  • If a biller does not have a mapped category, suggested_category is returned as null.
  • Treat suggested_category as advisory only. It is not an official PayNet category.

IIMMPACT API Documentation